Dilate3x3
Morphological Operations

Dilation using a 3x3 mask with the anchor at its center pixel. More...

## Functions

NppStatus | nppiDilate3x3_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single-channel 8-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three-channel 8-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 8-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 8-bit unsigned integer 3x3 dilation, ignoring alpha-channel. More...
NppStatus | nppiDilate3x3_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single-channel 16-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three-channel 16-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 16-bit unsigned integer 3x3 dilation. More...
NppStatus | nppiDilate3x3_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 16-bit unsigned integer 3x3 dilation, ignoring alpha-channel. More...
NppStatus | nppiDilate3x3_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single-channel 32-bit floating-point 3x3 dilation. More...
NppStatus | nppiDilate3x3_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Three-channel 32-bit floating-point 3x3 dilation. More...
NppStatus | nppiDilate3x3_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 32-bit floating-point 3x3 dilation. More...
NppStatus | nppiDilate3x3_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
| Four-channel 32-bit floating-point 3x3 dilation, ignoring alpha-channel. More...
NppStatus | nppiDilate3x3_64f_C1R (const Npp64f *pSrc, Npp32s nSrcStep, Npp64f *pDst, Npp32s nDstStep, NppiSize oSizeROI)
| Single-channel 64-bit floating-point 3x3 dilation. More...

## Detailed Description

Dilation using a 3x3 mask with the anchor at its center pixel.

It is the user's responsibility to avoid Sampling Beyond Image Boundaries.

### Common parameters for nppiDilate3x3 functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiDilate3x3_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 16-bit unsigned integer 3x3 dilation, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single-channel 16-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 16-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 16-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 32-bit floating-point 3x3 dilation, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single-channel 32-bit floating-point 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 32-bit floating-point 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 32-bit floating-point 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_64f_C1R | ( | const Npp64f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp64f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single-channel 64-bit floating-point 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 8-bit unsigned integer 3x3 dilation, ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Single-channel 8-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three-channel 8-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

NppStatus nppiDilate3x3_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four-channel 8-bit unsigned integer 3x3 dilation.

For common parameter descriptions, see Common parameters for nppiDilate3x3 functions.

Copyright © 2009-2017 NVIDIA Corporation